﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;
namespace SilverlightApplication1
{

    public class PersonViewModel : ViewModelBase
    {
        private string zipCode;
        


        [StringLength(4, MinimumLength = 4, ErrorMessage = "The Zip Code must be exactly 4 characters. ")]
        [RegularExpression(@"\b^[0-9]*\b", ErrorMessage = "Only digits allowed !")]
        public string ZipCode
        {
            get { return zipCode; }
            set
            {
                Validator.ValidateProperty(value, new ValidationContext(this, null, null) { MemberName = "ZipCode" });
                zipCode = value;
                this.OnPropertyChanged("ZipCode");
            }
        }
    }
}
