﻿using System;
using System.ComponentModel.DataAnnotations;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
    public class ValidationViewModel : ViewModelBase
    {
        private string stringValue;
        public string StringValue
        {
            get { return stringValue; }
            set
            {
                if (value.Length > 6)
                {
                    throw new ValidationException(String.Format("Value's length is greater than {0}.", value.Length));
                }
                stringValue = value;
                this.OnPropertyChanged("StringValue");
            }
        }
    }
}
